<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="structcy__stc__ble__gap__oob__info__t" kind="struct" language="C++" prot="public">
    <compoundname>cy_stc_ble_gap_oob_info_t</compoundname>
    <includes local="no">cy_ble_stack_gap.h</includes>
      <sectiondef kind="public-attrib">
      <memberdef id="structcy__stc__ble__gap__oob__info__t_1a33b90a7a75131a257b67e12630c6ab5c" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t cy_stc_ble_gap_oob_info_t::bdHandle</definition>
        <argsstring />
        <name>bdHandle</name>
        <briefdescription>
<para>bd handle of the remote device </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_gap.h" bodystart="364" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_gap.h" line="364" />
      </memberdef>
      <memberdef id="structcy__stc__ble__gap__oob__info__t_1a7f6cb504566c4b14a97fbf67ebfc2775" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t cy_stc_ble_gap_oob_info_t::oobFlag</definition>
        <argsstring />
        <name>oobFlag</name>
        <briefdescription>
<para>OOB data presence flag. </para>        </briefdescription>
        <detaileddescription>
<para>Allowed value are: CY_BLE_GAP_OOB_DISABLE CY_BLE_GAP_OOB_ENABLE </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_gap.h" bodystart="370" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_gap.h" line="370" />
      </memberdef>
      <memberdef id="structcy__stc__ble__gap__oob__info__t_1ae707e9a8b8186bd85cada5d4d11d1580" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t *</type>
        <definition>uint8_t* cy_stc_ble_gap_oob_info_t::key</definition>
        <argsstring />
        <name>key</name>
        <briefdescription>
<para>16 Octet Temporary Key to be used for OOB authentication </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_gap.h" bodystart="373" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_gap.h" line="373" />
      </memberdef>
      <memberdef id="structcy__stc__ble__gap__oob__info__t_1a15091b2c2ca9ccb6e40237ba0de2e396" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t *</type>
        <definition>uint8_t* cy_stc_ble_gap_oob_info_t::oobData</definition>
        <argsstring />
        <name>oobData</name>
        <briefdescription>
<para>Pointer to OOB data. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_gap.h" bodystart="376" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_gap.h" line="376" />
      </memberdef>
      <memberdef id="structcy__stc__ble__gap__oob__info__t_1a1567cecafefb21ec8204f1b390f5abe2" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t cy_stc_ble_gap_oob_info_t::oobDataLen</definition>
        <argsstring />
        <name>oobDataLen</name>
        <briefdescription>
<para>Length of OOB data. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_gap.h" bodystart="379" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_gap.h" line="379" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>Out of Band Parameters Information. </para>    </briefdescription>
    <detaileddescription>
    </detaileddescription>
    <location bodyend="381" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_gap.h" bodystart="361" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_gap.h" line="362" />
    <listofallmembers>
      <member prot="public" refid="structcy__stc__ble__gap__oob__info__t_1a33b90a7a75131a257b67e12630c6ab5c" virt="non-virtual"><scope>cy_stc_ble_gap_oob_info_t</scope><name>bdHandle</name></member>
      <member prot="public" refid="structcy__stc__ble__gap__oob__info__t_1ae707e9a8b8186bd85cada5d4d11d1580" virt="non-virtual"><scope>cy_stc_ble_gap_oob_info_t</scope><name>key</name></member>
      <member prot="public" refid="structcy__stc__ble__gap__oob__info__t_1a15091b2c2ca9ccb6e40237ba0de2e396" virt="non-virtual"><scope>cy_stc_ble_gap_oob_info_t</scope><name>oobData</name></member>
      <member prot="public" refid="structcy__stc__ble__gap__oob__info__t_1a1567cecafefb21ec8204f1b390f5abe2" virt="non-virtual"><scope>cy_stc_ble_gap_oob_info_t</scope><name>oobDataLen</name></member>
      <member prot="public" refid="structcy__stc__ble__gap__oob__info__t_1a7f6cb504566c4b14a97fbf67ebfc2775" virt="non-virtual"><scope>cy_stc_ble_gap_oob_info_t</scope><name>oobFlag</name></member>
    </listofallmembers>
  </compounddef>
</doxygen>